package com.dayou.service;
import com.dayou.entity.OperationLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 系统操作日志 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-01-16
 */
public interface IOperationLogService extends IService<OperationLog> {

        Page<OperationLog> selectPage(Page page,OperationLog operationLog);

        OperationLog detail(Long id);

        Boolean add(OperationLog operationLog);

        Boolean update(OperationLog operationLog);

        Boolean delete(Long id);

}
